<template>
  <div class="time">
    <div class="list">
      <div class="left">    
        {{datas.dateInfo}}
      </div>
      <div class="right">
        <div v-for="(item,index) in datas.timeInfo" :key="index">{{item}}</div>
      </div>
    </div>
    <v-footer :footer="'确认选择'"  @footerEmit="enter()"></v-footer>
    
  </div>
</template>

<script>
// import {get} from '@/utils/request'
  import footer from '@/components/footer/footer.vue'
 import areadata from '@/utils/area.js'
  import config from '@/config'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
export default {
  data () {
    return {
      datas:{
        dateInfo:'',
        timeInfo:[],
      },
      multiArray3: [[], [], []],
      multiIndex3: [0, 0, 0],
      areaCode: '',
      sheng: '',
      shi: '',
      qu: '',
      address: ''
    }
  },
   components:{
      'v-footer':  footer
    },
  methods: {
    getAjax(data){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkClient(
          '/member/appointment/time?openId=' +VerificationCodeEntity.OpenId+'&storeId=' +data.storeId,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              if(data.records){
                that.datas = data.records[0];
                console.log('datas',that.datas);
              }else{
                
              }
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      }
  },
  onLoad (data) {
    this.getAjax(data);
  }
}
</script>

<style lang="scss"  type="text/scss" scoped>
.time{
  width: 100%;
  .list{
    display: flex;
    .left{
      width: 30%;
      height: 10rem;
      border: 1px solid #000;
    }
    .right{
      width: 70%;
      height: 10rem;
      border: 1px solid #000;
    }
    
  }
}

</style>
